<div class="content-header row">
    <div class="content-header-left col-md-9 col-12 mb-2">
      <div class="row breadcrumbs-top">
        <div class="col-12">
          <h2 class="content-header-title float-left mb-0">Liste des Risques</h2>
        
        </div>
      </div>
    </div>
    <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
      <div class="form-group breadcrum-right">
        <div class="dropdown">
          <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle waves-effect waves-light" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="feather icon-settings"></i></button>
          <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#">Chat</a><a class="dropdown-item" href="#">Email</a><a class="dropdown-item" href="#">Calendar</a></div>
        </div>
      </div>
    </div>
  </div>
  <section id="data-thumb-view" class="data-thumb-view-header">
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <h4 class="card-title"></h4>
                </div>
                <div class="card-content">
  
                    <div class="card-body card-dashboard">
  
                        <div class="table-responsive">
                          <a  [routerLink]="['/creation_risque']" class="btn mr-1 mb-1 btn-outline-primary btn-sm waves-effect waves-light" style=" margin-left: 2px;">Nouveau Risque</a>
  
                            <table class="table zero-configuration table-striped" >
  
                              <thead>
                                <tr>
                                    <th>Code</th>
                                    <th>Risque</th>
                                    
                                    <th>ACTION</th>
                                </tr>
                              </thead>
                              <tbody>
                                <tr *ngFor="let r of risque; index as i">
                                    <td> 
                                        <div class="product-category">{{r.image}}</div>
                                  </td>
                                  <td class="product-category">{{r.nom}}</td>
                                 
                                  <td class="product-action">
                                    
                        
                                    <div class="dropdown">
                                     <a class="dropdown-toggle" data-toggle="dropdown" href="#" aria-expanded="false"></a>
                                     <div class="dropdown-menu dropdown-menu-right">
                                      <a class="dropdown-item" href="#" data-toggle="modal" [attr.data-target]="'#modifier' + i"><i class="feather icon-edit" style="color:blue;"></i>Modifier</a>
                         
                                       <a class="dropdown-item" data-toggle="modal" (click)="deletePopup(r.id,r.nom)"><i class=" feather icon-trash" style="color: red;"></i>Supprimer</a>
                                     </div>
                                   </div>
                                   
                                   </td>

                                   <div class="modal modal-danger fade" id="supprimer{{i}}">
                                    <div class="modal-dialog " role="document">
                                      <div class="modal-content">
                                        <div class="modal-header">
                                          <h4 class="modal-title" id="myModalLabel4">Suppression Risque</h4>
                                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">×</span>
                                          </button>
                                        </div>
                                        <div class="modal-body">
                                          <p>
                                          Voulez vous supprimer risque {{r.nom}}
                                          </p>
                                        </div>
                                        <div class="modal-footer">
                                          <button type="button" class="btn btn-primary waves-effect waves-light" data-dismiss="modal" (click)="delete(r.id)">Supprimer</button>
                                        </div>
                                      
                                      </div>
                                      <!-- /.modal-content -->
                                    </div>
                                    <!-- /.modal-dialog -->
                                  </div>
                                  <!-- add new sidebar ends -->
                                
                                <div class="modal modal-danger fade" id="modifier{{i}}">
                                  <div class="modal-dialog " role="document">
                                    <div class="modal-content" style="width:700px">
                                      <div class="modal-header">
                                        <h4 class="modal-title" id="myModalLabel4">Modifier Risque </h4>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                          <span aria-hidden="true">×</span>
                                        </button>
                                      </div>
                                      <div class="modal-body">
                                        
                                        
                                          
                                                          <div class="card-body">
                                                            <form novalidate #f="ngForm" (ngSubmit)="update(f.value)">
                                                              <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="InvalidFrom" >
                                                                <i class="feather icon-info mr-1 align-middle"></i>
                                                                <span>{{InvalidFrom}}</span>
                                                              </div>
                                                                
                                                                <div class="row">
                                                                  <input type="hidden" class="form-control"  name="id" #id="ngModel" [(ngModel)]="r.id">

                                                                    
                                                                  <div class="col-12 col-sm-6">
                                                                    <div class="form-group">
                                                                      <div class="controls">
                                                                        <label>Nom Risque</label>
                                                                        <input type="text" class="form-control" placeholder="Nom Risque" name="nom" #nom="ngModel" [(ngModel)]="r.nom"  required>
                                                                      </div>
                                                                      <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="nom.touched && nom.invalid">
                                                                        <i class="feather icon-info mr-1 align-middle"></i>
                                                                        <span>Nom de Risque obligatoire</span>
                                                                      </div>
                                                                    </div>
                                                                    </div> 

                                                                    <div class="col-12 col-sm-6">
                                                                      <div class="form-group">
                                                                          <div class="controls">
                                                                            <label>Image Risque</label>
                                    
                                                                            <div class="custom-file">
                                                                              <input type="file" class="custom-file-input" id="inputGroupFile01" name="image" #image="ngModel" ngModel (change)="onFileSelected($event)"  required>
                                                                              <label class="custom-file-label" for="inputGroupFile01">Choose file</label>
                                                                          </div>
                                                                           </div>
                                                                          
                                                                        </div>   
                                                                      
                                                                </div> 
                                                                  </div>  
                                                                    <hr>
                                                                    
                                                                      <button type="submit" class="btn btn-primary glow mb-1 mb-sm-0 mr-0 mr-sm-1" style=" margin-left: 490px;" [disabled]="f.invalid">Modifier Risque</button>
                                                                  
                                                              </form>  
                                                          </div>
                                                     
                                              
                                
                                
                                
                                      </div>
                                      
                                    
                                    </div>
                                    <!-- /.modal-content -->
                                  </div>
                                  <!-- /.modal-dialog -->
                                </div>
                                </tr>
                               
                                
                           </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- dataTable ends -->
  
    <!-- add new sidebar starts -->
   
  </section>

  
  
  